Osheep

时光不回头,当下最重要。

Xcode8 最快最方便的安装插件方案

自从Xcode8出来后,为了安全起见,给Xcode安装插件就惨遭苹果封杀,随后出现很多解决方案,其中有一种比较完美的方案: 教你如何科学的在Xcode8上使用插件,但是用过这个方案的同学会发现每次运行并安装插件之前需要添加当前Xcode的DVTPlugInCompatibilityUUID,相当麻烦,而且安装完这个插件,上个或者上上个插件就失效了(随机的,也可能不会),不知道大家有没有遇到,反正我是遇到好多次~~最要命的是还要拷贝一份Xcode用来上架专用,对于我这种256G的本子来说还是相当无奈的

下面我们会用到外国友人的 update_xcode_plugins

建议大家在安装之前先将电脑的ruby升级为最高版本

升级ruby

这里我们使用RVM来帮我们升级安装Ruby,已经升级了Ruby的可以跳过此步骤

在终端中输入

curl -L https://get.rvm.io | bash -s stable

如果提示

* WARNING: You have '~/.profile' file, you might want to load it,
    to do that add the following line to '/Users/您的用户名/.bash_profile':

      source ~/.profile

  * No new notes to display.

则按提示在终端中输入命令,使其默认配置生效

source ~/.profile

列出已知的 Ruby 版本

rvm list known
《Xcode8 最快最方便的安装插件方案》

列出已知的 Ruby 版本

列表显示已知的最新Ruby版本是2.4.0
接着我们指定安装Ruby版本

rvm install 2.4.0

待安装完成,可以输入【ruby -v】查看当前Ruby的版本是否为2.4.0

ruby -v

安装update_xcode_plugins

终端输入,进行安装

sudo gem install update_xcode_plugins

如果安装不成功则使用下面这条命令

sudo gem install -n /usr/local/bin update_xcode_plugins
《Xcode8 最快最方便的安装插件方案》

update_xcode_plugins

安装完成之后,可以使用下面的命令对我们已经安装的插件统一进行升级(其实这个过程就是自动配置插件所需要的当前Xcode的DVTPlugInCompatibilityUUID,并且进行安装)

update_xcode_plugins
《Xcode8 最快最方便的安装插件方案》

当前没任何插件

如果我们的机子从来没有安装过插件就会以红字提示我们:

Couldn't find Plug-ins directory.
Didn't find any Xcode Plug-in installed on your system.

接着Unsign我们的Xcode

update_xcode_plugins --unsign
《Xcode8 最快最方便的安装插件方案》

update_xcode_plugins –unsign

这个时候会停在这里让我们用上下键选择Xcode,这里我就一个8.3.3,直接回车后输入【Y】,一下子就好了。

《Xcode8 最快最方便的安装插件方案》

搞定

安装插件

我们去安装插件管理工具 Alcatraz
下载后解压,打开project直接运行安装

《Xcode8 最快最方便的安装插件方案》

运行安装Alcatraz

提示我们是否加载这个插件包,点击【Load Bundle】

《Xcode8 最快最方便的安装插件方案》

Load Bundle

接着你就会发现Window下就有了【Package Manager】这个菜单选项

《Xcode8 最快最方便的安装插件方案》

Package Manager

打开后我们就可以尽情的安装想要安装的插件

《Xcode8 最快最方便的安装插件方案》

Alcatraz

安装好所有插件之后,彻底退出Xcode

在终端下输入

update_xcode_plugins
《Xcode8 最快最方便的安装插件方案》

安装插件

这时它会自动帮我们配置并安装这些插件,我们再打开Xcode

《Xcode8 最快最方便的安装插件方案》

批量加载插件

这里提示我们Xcode发现有6个插件,是否加载,我们当然选择加载了(Load Bundle)。这样我们就可以批量配置我们的插件,就是这么的轻松愉快。

以后我们要安装什么插件都可以通过Alcatraz进行批量安装,再执行【update_xcode_plugins】就可以了,相当的方便!而且不会搞两个Xcode出来

最重要的是:这种方式对上架没有任何影响!!!

点赞